Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
AbcPrimalColumnDantzig Class Reference

Primal Column Pivot Dantzig Algorithm Class. More...

`#include <AbcPrimalColumnDantzig.hpp>`

Inheritance diagram for AbcPrimalColumnDantzig:
[legend]
Collaboration diagram for AbcPrimalColumnDantzig:
[legend]

## Public Member Functions
Algorithmic methods
virtual int | pivotColumn (CoinPartitionedVector *updates, CoinPartitionedVector *spareRow2, CoinPartitionedVector *spareColumn1)
| Returns pivot column, -1 if none. More...
virtual void | saveWeights (AbcSimplex *model, int)
| Just sets model. More...
Constructors and destructors
| AbcPrimalColumnDantzig ()
| Default Constructor. More...
| AbcPrimalColumnDantzig (const AbcPrimalColumnDantzig &)
| Copy constructor. More...
AbcPrimalColumnDantzig & | operator= (const AbcPrimalColumnDantzig &rhs)
| Assignment operator. More...
virtual | ~AbcPrimalColumnDantzig ()
| Destructor. More...
virtual AbcPrimalColumnPivot * | clone (bool copyData=true) const
| Clone. More...
Public Member Functions inherited from AbcPrimalColumnPivot
virtual void | updateWeights (CoinIndexedVector *input)
| Updates weights - part 1 (may be empty) More...
virtual int | pivotRow (double &way)
| Signals pivot row choice: -2 (default) - use normal pivot row choice -1 to numberRows-1 - use this (will be checked) way should be -1 to go to lower bound, +1 to upper bound. More...
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty) More...
virtual bool | looksOptimal () const
| Returns true if would not find any column. More...
virtual void | setLooksOptimal (bool flag)
| Sets optimality flag (for advanced use) More...
| AbcPrimalColumnPivot ()
| Default Constructor. More...
| AbcPrimalColumnPivot (const AbcPrimalColumnPivot &)
| Copy constructor. More...
AbcPrimalColumnPivot & | operator= (const AbcPrimalColumnPivot &rhs)
| Assignment operator. More...
virtual | ~AbcPrimalColumnPivot ()
| Destructor. More...
AbcSimplex * | model ()
| Returns model. More...
void | setModel (AbcSimplex *newmodel)
| Sets model. More...
int | type ()
| Returns type (above 63 is extra information) More...
virtual int | numberSprintColumns (int &numberIterations) const
| Returns number of extra columns for sprint algorithm - 0 means off. More...
virtual void | switchOffSprint ()
| Switch off sprint idea. More...
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes. More...

## Additional Inherited Members
Protected Attributes inherited from AbcPrimalColumnPivot
AbcSimplex * | model_
| Pointer to model. More...
int | type_
| Type of column pivot algorithm. More...
bool | looksOptimal_
| Says if looks optimal (normally computed) More...

## Detailed Description

Primal Column Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 19 of file AbcPrimalColumnDantzig.hpp.

## Constructor & Destructor Documentation

AbcPrimalColumnDantzig::AbcPrimalColumnDantzig | ( |  | ) |

Default Constructor.

AbcPrimalColumnDantzig::AbcPrimalColumnDantzig | ( | const AbcPrimalColumnDantzig & |  | ) |

Copy constructor.

virtual AbcPrimalColumnDantzig::~AbcPrimalColumnDantzig | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

virtual int AbcPrimalColumnDantzig::pivotColumn | ( | CoinPartitionedVector * | updates,
|  | CoinPartitionedVector * | spareRow2,
|  | CoinPartitionedVector * | spareColumn1
| ) |  |
| virtual

Returns pivot column, -1 if none.

Lumbers over all columns - slow The Packed CoinIndexedVector updates has cost updates - for normal LP that is just +-weight where a feasibility changed. It also has reduced cost from last iteration in pivot row Can just do full price if you really want to be slow

Implements AbcPrimalColumnPivot.

virtual void AbcPrimalColumnDantzig::saveWeights | ( | AbcSimplex * | model,
|  | int |
| ) |  |
| inline virtual

Just sets model.

Implements AbcPrimalColumnPivot.

Definition at line 38 of file AbcPrimalColumnDantzig.hpp.

AbcPrimalColumnDantzig& AbcPrimalColumnDantzig::operator= | ( | const AbcPrimalColumnDantzig & | rhs | ) |

Assignment operator.

virtual AbcPrimalColumnPivot* AbcPrimalColumnDantzig::clone | ( | bool | copyData = `true` | ) | const
| virtual

Clone.

Implements AbcPrimalColumnPivot.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Clp/src/AbcPrimalColumnDantzig.hpp